Bug 235088 - net/relayd: Fix having relayd on OSVERSION >= 1200085
Summary: net/relayd: Fix having relayd on OSVERSION >= 1200085
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Vinícius Zavam
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-01-20 19:48 UTC by Vinícius Zavam
Modified: 2019-05-23 06:23 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
[PATCH] net/relayd: fix having relayd on OSVERSION >= 1200085 (1.87 KB, patch)
2019-01-20 19:48 UTC, Vinícius Zavam
koobs: maintainer-approval+
Details | Diff
[PATCH] net/relayd: fix having relayd on OSVERSION >= 1200085 (2.27 KB, patch)
2019-05-15 11:53 UTC, Vinícius Zavam
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vinícius Zavam freebsd_committer 2019-01-20 19:48:25 UTC
Created attachment 201295 [details]
[PATCH] net/relayd: fix having relayd on OSVERSION >= 1200085

this patch workarounds building/installing relayd on FreeBSD systems with OSVERSION >= 1200085 (r339270), which has OpenSSL 1.1.1 in base.

it also pets portlint and handles conflict against 'devel/libevent', if present on building system during relayd's build.

comments added to Makefile for each change (may be removed, if intended)

portlint OK
testport OK (11.2, 12.0, HEAD @ amd64, armv6, i386)
Comment 1 Martin Matuska freebsd_committer 2019-03-18 22:51:10 UTC
I give up maintaining this port.
Comment 2 Koichiro Iwao freebsd_committer 2019-05-14 02:24:20 UTC
(In reply to Vinícius Zavam from comment #0)
You can commit this.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-14 02:31:52 UTC
Reporter is committer, assign accordingly

Port maintainership dropped in ports r496220
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-14 02:32:31 UTC
Comment on attachment 201295 [details]
[PATCH] net/relayd: fix having relayd on OSVERSION >= 1200085

Approved by: portmgr (implicit: unmaintained port)
Comment 5 Vinícius Zavam freebsd_committer 2019-05-15 09:47:50 UTC
I will test it all again and plan to patch and adopt this port.
Comment 6 Vinícius Zavam freebsd_committer 2019-05-15 11:53:16 UTC
Created attachment 204391 [details]
[PATCH] net/relayd: fix having relayd on OSVERSION >= 1200085

updating patch
Comment 7 Steve Wills freebsd_committer 2019-05-16 01:10:45 UTC
(In reply to Vinícius Zavam from comment #6)
I think using libressl like the patch in bug 236657 and like www/obhttpd does is probably a better solution long term, since the changes in relayd upstream (in OpenBSD) have made it more dependent on LibreSSL.
Comment 8 Vinícius Zavam freebsd_committer 2019-05-16 11:30:45 UTC
(In reply to Steve Wills from comment #7)

that works for me. I did not see that PR before, thanks for sharing!
I was about to push it into Phabricator and wait mentors' approval, but now.. should I just close this one?  the other PR also points that the reporter will adopt the port :)
Comment 9 Steve Wills freebsd_committer 2019-05-22 20:37:37 UTC
(In reply to Vinícius Zavam from comment #8)
Yeah, go ahead and close this one in favor of bug 236657.